package com.microsoft.applications.telemetry;

// Declare the interface.
interface ITelemetryService {

    // LogManager methods
	void initialize1(String token);
	void initialize2(String token, String configuration);
	void flush();
	void teardown();
	void pause();
	void resume();
	void setTransmitProfile(String profile);
	int  getContext();
	void setProperty(String name, String value);
	void setPropertyT(String name, String value, int type);
	
	// Obtain logger
	int  getLogger();
	int  getLogger1(String source);
	int  getLogger2(String token, String source);
	
	// Utilize logger
	int  getLoggerContext (int logger);
	void setLoggerProperty(int logger, String name, String value, int type);
	void setPropertyDouble(int logger, String name, double value);
	void setPropertyLong  (int logger, String name, long value);
	void logEvent         (int logger, int type,    String payload);
}
